Bug 15325 - rebuild_zebra.pl table option (-t) doesn't work
Summary: rebuild_zebra.pl table option (-t) doesn't work
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Command-line Utilities (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Julian Maurice
QA Contact: Testopia
URL:
Keywords:
Depends on: 12368
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-07 14:24 UTC by Julian Maurice
Modified: 2017-06-14 22:05 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15325: Fix --table option of rebuild_zebra.pl (1019 bytes, patch)
2015-12-07 14:28 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 15325: Fix --table option of rebuild_zebra.pl (1.42 KB, patch)
2015-12-07 16:07 UTC, Frédéric Demians
Details | Diff | Splinter Review
Bug 15325: Fix --table option of rebuild_zebra.pl (1.50 KB, patch)
2015-12-08 15:21 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Maurice 2015-12-07 14:24:05 UTC
$table is always set to 'biblioitems', no matter what is given on the command line.
Comment 1 Julian Maurice 2015-12-07 14:28:25 UTC Comment hidden (obsolete)
Comment 2 Julian Maurice 2015-12-07 14:34:16 UTC
Test plan:
1. git checkout master
2. perl misc/migration_tools/rebuild_zebra.pl -b -t items --where "price = 42"
3. You should see errors printed on screen about an unknown column
4. Apply patch
5. perl misc/migration_tools/rebuild_zebra.pl -b -t items --where "price = 42"
6. No errors \o/
Comment 3 Frédéric Demians 2015-12-07 16:07:31 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2015-12-08 15:21:57 UTC
Created attachment 45497 [details] [review]
Bug 15325: Fix --table option of rebuild_zebra.pl

Option's value given on command line was never used and 'biblioitems'
was used instead.

Test plan:
1. git checkout master
2. perl misc/migration_tools/rebuild_zebra.pl -b -t items --where "price = 42"
3. You should see errors printed on screen about an unknown column
4. Apply patch
5. perl misc/migration_tools/rebuild_zebra.pl -b -t items --where "price = 42"
6. No errors \o/

Signed-off-by: Frédéric Demians <f.demians@tamil.fr>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Jonathan Druart 2015-12-08 15:22:36 UTC
Erk, sorry about that.
Comment 6 Kyle M Hall 2015-12-11 16:17:01 UTC
Pushed to master!

Thanks Julian!
Comment 7 Julian Maurice 2015-12-14 07:18:33 UTC
Patch pushed to 3.22.x, will be in 3.22.1